## ohrwurm 0.1

=== Makefile ===
CC=gcc

all: ohrwurm

ohrwurm: ohrwurm.c
	$(CC) -Wall -o $@ $^ -lpcap

=== debian/changelog ===
ohrwurm (0.1-1kali4) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs
  [ Kali Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  [ Steev Klimaszewski ]
  * Add d/watch pointing to git repo
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 12 Jan 2023 13:37:16 -0600

ohrwurm (0.1-1kali3) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.

  [ Sophie Brun ]
  * Remove debian/watch

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 08 Apr 2021 10:00:43 +0200

ohrwurm (0.1-1kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Dec 2020 15:58:42 +0100

ohrwurm (0.1-1kali1) kali; urgency=low

  * Updated watch file

 -- Mati Aharoni <muts@kali.org>  Sun, 12 Jan 2014 19:23:28 -0500

ohrwurm (0.1-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Mon, 07 Jan 2013 18:18:31 -0700

=== debian/control ===
Source: ohrwurm
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Mati Aharoni <muts@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 13), libpcap-dev
Standards-Version: 4.6.1
Homepage: http://mazzoo.de/blog/2006/08/25#ohrwurm
Vcs-Git: https://gitlab.com/kalilinux/packages/ohrwurm.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/ohrwurm

Package: ohrwurm
Architecture: any
Depends: dsniff, ${misc:Depends}, ${shlibs:Depends}
Description: RTP fuzzer
 ohrwurm is a small and simple RTP fuzzer that has been
 successfully tested on a small number of SIP phones.
 Features:
 .
     - reads SIP messages to get information of the RTP port
     numbers
     - reading SIP can be omitted by providing the RTP port
     numbers, sothat any RTP traffic can be fuzzed
     - RTCP traffic can be suppressed to avoid that codecs
     - learn about the "noisy line"
     - special care is taken to break RTP handling itself
     - the RTP payload is fuzzed with a constant BER
     - the BER is configurable
     - requires arpspoof from dsniff to do the MITM attack
     - requires both phones to be in a switched LAN (GW
     operation only works partially)

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	dh_installdirs
	install ohrwurm $(CURDIR)/debian/ohrwurm/usr/bin/

=== debian/watch ===
version=4
opts="mode=git, pretty=0.1~git%cd, pgpmode=none" \
  https://github.com/mazzoo/ohrwurm HEAD
# Upstream doesn't tag releases and this package hasn't been touched since 2010.
#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ohrwurm-$1\.tar\.gz/ \
#  https://github.com/mazzoo/ohrwurm/tags .*/v?(\d\S*)\.tar\.gz
